Description

I updated to r1352 (though the issue was in r1341 as well) and now batch edits do not appear to work at all.

Using the new method, I select several issues to edit and then right-click->Edit.  I get the Bulk Edit window with one issue listed at the

top of the page and only that issue is changed by the edit.

I tried this in Safari 3.1 and Firefox 3b4 on Mac OS X.

History

#1 - 2008-04-14 23:23 - Jean-Philippe Lang

This works here using HEAD revision.

Could you post the url that you have in your browser address bar when you're on the bulk edit screen ?

And give your Rails version please.

#2 - 2008-04-15 19:43 - Adam Knight

- File Picture_9.png added

I'm using Rails 1.2.3.

I get the following URL:

http://support.bssware.com/projects/prosperity/issues/bulk_edit?ids=1031%2F1075%2F1076

That gives the result in the attached graphic.

#3 - 2008-04-15 20:02 - Adam Knight

- Status changed from New to Resolved

I updated to Rails 1.2.6 and the issue went away.  Something to note, I suppose.

#4 - 2008-04-15 21:58 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Something to note, I suppose.

 Yes, that's why RedmineInstall says that Rails 1.2.6 or 2.0.2 is required :-)

#5 - 2008-07-21 19:48 - Josh Buhler

- Status changed from Closed to Reopened

I'm using Rails 2.0.2, and have Redmine 0.7.devel.1524, however, bulk editing still does not work at all for me, regardless of the browser. I tried FF3,

Safari 3, and Camino 1.5.5.

While the right-click functionality does sound nice, it seems to have issues for several people, and isn't very intuitive. In addition to the right-click

method, I'd also like to see some simple links above the issue list that provides the same options that right-clicking would.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1352
https://www.redmine.org/projects/redmine/repository/svn/revisions/1341
http://support.bssware.com/projects/prosperity/issues/bulk_edit?ids=1031%2F1075%2F1076
https://www.redmine.org/projects/redmine/wiki/RedmineInstall


#6 - 2008-08-25 17:26 - Jean-Philippe Lang

- Status changed from Reopened to Closed

The initial request was not about a context menu problem.

However, context menu should be fixed under Leopard in r1761.
